<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Diferencia extends Model
{
    use HasFactory;

    protected $table = 'diferencias';

    public $timestamps = true;

    protected $fillable = [
        'observacion',
        'id_turno',
        'id_tipo_combustible',
        'id_usuario',
        'cantidad_galones',
        'precio',
        'total',
        'estado',
        'created_at',
        'updated_at',
    ];

    protected $casts = [
        'cantidad_galones' => 'decimal:3',
        'precio' => 'decimal:2',
        'total' => 'decimal:2',
        'estado' => 'integer',
    ];

    public function turno()
    {
        return $this->belongsTo(Turno::class, 'id_turno', 'id_turno');
    }

    public function tipoCombustible()
    {
        return $this->belongsTo(TipoCombustible::class, 'id_tipo_combustible', 'id_tipo_combustible');
    }

    public function usuario()
    {
        return $this->belongsTo(User::class, 'id_usuario', 'id_usuario');
    }
}
